import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.deposits.create({
destination: "destination"
});curl --request POST \
--url https://api.whop.com/api/v1/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "biz_xxxxxxxxxxxxxx",
"amount": 50
}
'import requests
url = "https://api.whop.com/api/v1/deposits"
payload = {
"destination": "biz_xxxxxxxxxxxxxx",
"amount": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination: 'biz_xxxxxxxxxxxxxx', amount: 50})
};
fetch('https://api.whop.com/api/v1/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "biz_xxxxxxxxxxxxxx",
"hosted_url": "https://whop.com/deposit/biz_xxxxxxxxxxxxxx/",
"methods": {
"bank": {
"currencies": [
{
"account_number": "8825310472",
"currency": "USD",
"deposit_bank_address": "2115 Linwood Avenue, Fort Lee, New Jersey 07024",
"deposit_bank_name": "Cross River Bank",
"deposit_beneficiary_name": "Shine Time Auto Detailing",
"deposit_reference": "SHINE-1042",
"rails": [
"wire"
],
"routing_number": "021214891",
"swift_bic": "CRBAUS33"
}
]
},
"crypto": [
{
"deposit_address": "soladdr",
"icon_url": "https://whop.com/_static/images/crypto/solana.svg",
"name": "Solana",
"supported_currencies": [
{
"icon_url": "https://whop.com/_static/images/crypto/pyusd.svg",
"name": "PYUSD"
}
]
}
]
},
"object": "deposit",
"amount": "50.00"
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Create Deposit
Retrieve the deposit methods for an account, including crypto and bank transfer. Crypto deposits require a $10 minimum.
import { WhopClient } from "@whop/sdk";
const client = new WhopClient({ token: "YOUR_TOKEN", apiVersionDate: "2026-08-21-1", idempotencyKey: "YOUR_IDEMPOTENCY_KEY" });
await client.deposits.create({
destination: "destination"
});Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Headers
A unique key that makes this request safe to retry. See Idempotent requests.
255"d9105228-4a08-46b1-8b91-42fed586d383"
Body
Account ID to fund, biz_ or user_. Any business resolves without authentication; a user account resolves only for that same authenticated user.
"biz_xxxxxxxxxxxxxx"
Amount to prefill on hosted deposit page. Crypto deposits require a $10 minimum.
50
Response
deposit created
Account ID of the destination owner.
"biz_xxxxxxxxxxxxxx"
URL of the hosted deposit page. Only present for business destinations.
"https://whop.com/deposit/biz_xxxxxxxxxxxxxx/"
Available deposit methods for destination.
Show child attributes
Show child attributes
deposit "deposit"
Requested deposit amount.
"50.00"

